<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$id_theme=$_GET['id'];
	$o=rand(0,999);
	$t1 = mysql_query("SELECT * FROM `forum_theme` WHERE `id`='".check(mysql_real_escape_string($id_theme))."'");
	$t = mysql_fetch_array($t1);
			if($level==0 OR $t['name']=='' OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
   	echo "<title>Форум</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<a href="index.php"><b>Форум</b></a> | <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['name']))))))).']</b></font> ','top-nav1');
	echo '<div class="razd"></div>';
	echo '<div class="blok3">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['name']))))))).' <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['msgs']))))))).']</font> ответов</div><div class="razd"></div><div class="blok">';
	if($t['type']==0)echo '<a href="answer.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"><b>Ответить</b></a> | ';
	if($t['type']==1)echo 'Данная тема закрыта для обсуждений!<br/>';
	echo '<a href="?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;o='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($o))))))).'"><b>Обновить</b></a></div><div class="razd"></div>';
	
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts` WHERE `id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `forum_posts` WHERE `id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme)))))))."' ORDER BY `id` ASC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="window1">';
					echo '<div class="dashed"></div>';
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."'");
					$f = mysql_fetch_array($q);
                    echo ''.rasa($f['rasa']).' <a href="../p/anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="' . crasa($f['rasa']) . '">' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))) . '</span></a> ';
					if($f['lasttime'] > time()-$online_time)echo ' <span class="green">on</span> ';
					echo ' ['.dates($row['time']).'] <a href="answer.php?id='.check($id_theme).'&amp;r='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).', "><font color="#4EEE94">[»]</font></a>';
					echo ' ' . smiles(tags(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($row['text'])))))))))) . '';
					if($level>=8)echo ' <a href="action.php?act=delpost&amp;idp='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'"> <img src="/images/icon/abort.png" width="15px" alt="image" /></a>';
					echo '<div class="dashed"></div>';
					echo '</div>'; 
					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('В этой теме нет сообщений!','conts');
			}
			if($level>=8){
			echo '<div class="razd"></div>';
			echo '<div class="blok3">';
			if($t['type']==0)echo '<a href="action.php?act=cl&amp;id='.check($id_theme).'"><b>Закрыть</b></a> |';
			if($t['type']==1)echo '<a href="action.php?act=op&amp;id='.check($id_theme).'"><b>Открыть</b></a> |';
			echo ' <a href="action.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_theme))))))).'&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['id_podf']))))))).'"><b>Удалить</b></a><br/>';
			echo '</div>';}
			

		echo '<div class="razd"></div>';
		echo '<div class="blok"><a href="/p/news.php?act=new"><b>Назад</b></a></div>';
}

	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>